/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EZBApplicationJNDIResolver.java 2981 2008-04-27 15:58:00Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.registry.service;

import java.util.ArrayList;
import java.util.List;

public class RegistryProtocol {

    /**
     * Name of the protocol.
     */
    private String name = null;

    /**
     * Provider URL.
     */
    private String providerURL = null;

    /**
     * List of names.
     */
    private List<String> jndiNames = null;


    public String getName() {
        return name;
    }


    public void setName(final String name) {
        this.name = name;
    }


    public String getProviderURL() {
        return providerURL;
    }


    public void setProviderURL(final String providerURL) {
        this.providerURL = providerURL;
    }


    public List<String> getJndiNames() {
        return jndiNames;
    }


    public void setJndiNames(final List<String> jndiNames) {
        this.jndiNames = jndiNames;
    }


    public RegistryProtocol() {
        this.jndiNames = new ArrayList<String>();
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder(RegistryProtocol.class.getSimpleName());
        sb.append("[name=");
        sb.append(name);
        sb.append(", providerURL=");
        sb.append(providerURL);
        sb.append(", JNDI Names=");
        sb.append(jndiNames);
        sb.append("]");
        return sb.toString();
    }
}
